# Created by pyp2rpm-3.3.7
%global pypi_name pydata-sphinx-theme

%global nodever 16.13.2

Name:           python-%{pypi_name}
Version:        0.10.0
Release:        %mkrel 1
Summary:        Bootstrap-based Sphinx theme from the PyData community
Group:          Development/Python
License:        BSD
URL:            https://github.com/pydata/pydata-sphinx-theme
Source0:        https://github.com/pydata/pydata-sphinx-theme/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
# Vendored nodejs pkgs
Source10:       %{pypi_name}-%{version}-vendor.tar.gz
# Prebuilt nodejs needed
Source11:       https://nodejs.org/download/release/v%{nodever}/node-v%{nodever}-linux-x64.tar.gz

ExclusiveArch:  x86_64
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx-theme-builder)
BuildRequires:  python3dist(nodeenv)

%description
A Bootstrap-based Sphinx theme from the PyData community.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A Bootstrap-based Sphinx theme from the PyData community.

%prep
%autosetup -n %{pypi_name}-%{version} -p1 -a10

# for stb/nodeenv
cat > ./nodeenvrc << EOF
[nodeenv]
node = %{nodever}
mirror = file://${PWD}
EOF

# prebuilt node
mkdir -p v%{nodever}
install %{SOURCE11} v%{nodever}/

# relax reqs
sed -i -e '/docutils/s/!=/>/g' pyproject.toml

%build
export STB_NO_POPULATE=1
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pydata_sphinx_theme

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md


%changelog
* Sun Sep 11 2022 wally <wally> 0.10.0-1.mga9
+ Revision: 1887202
- new version 0.10.0
- build using prebuilt nodejs and vendored nodejs pkgs as system ones are too new

* Wed Mar 23 2022 umeabot <umeabot> 0.7.2-3.mga9
+ Revision: 1822625
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 tv <tv> 0.7.2-2.mga9
+ Revision: 1774622
- Relax docutils requires

* Mon Feb 14 2022 tv <tv> 0.7.2-1.mga9
+ Revision: 1774371
- Downgrade to buildable 0.7.2
- Rebuild for python-3.10
+ tmb <tmb>
- update to 0.8.0

* Sun Feb 13 2022 tmb <tmb> 0.6.3-2.mga9
+ Revision: 1774016
- rebuild for python 3.10

* Sun Aug 29 2021 wally <wally> 0.6.3-1.mga9
+ Revision: 1743471
- imported package python-pydata-sphinx-theme

